From 71a3e81646d5877fec45279cfc55f55204e27662 Mon Sep 17 00:00:00 2001
From: Egbert Eich <eich@suse.com>
Date: Mon, 30 May 2022 14:26:25 +0200
Subject: [PATCH 32/34] Add missing set_agent_arg_r_uid() to
 _launch_batch_step()

Signed-off-by: Egbert Eich <eich@suse.com>
---
 src/slurmctld/proc_req.c | 1 +
 1 file changed, 1 insertion(+)

diff --git a/src/slurmctld/proc_req.c b/src/slurmctld/proc_req.c
index 20cfffd764..e4edbb796c 100644
--- a/src/slurmctld/proc_req.c
+++ b/src/slurmctld/proc_req.c
@@ -5187,6 +5187,7 @@ static int _launch_batch_step(job_desc_msg_t *job_desc_msg, uid_t uid,
 		fatal("Invalid batch host: %s", job_ptr->batch_host);
 	agent_arg_ptr->msg_type = REQUEST_BATCH_JOB_LAUNCH;
 	agent_arg_ptr->msg_args = (void *) launch_msg_ptr;
+	set_agent_arg_r_uid(agent_arg_ptr, SLURM_AUTH_UID_ANY);
 
 	/* Launch the RPC via agent */
 	agent_queue_request(agent_arg_ptr);
-- 
2.35.3


